plugin isnt enabling!

Discussion in 'BungeeCord Discussion' started by 1mccreeper, Jun 12, 2016.

  1. I made a plugin for a friend and when i went to test it, it gave me this.
    Code (Text):
    [00:51:43 ERROR]: Could not load 'plugins/OnDuty.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidDescriptionException: version is not defined
            at org.bukkit.plugin.PluginDescriptionFile.loadMap(PluginDescriptionFile.java:906) ~[craftbukkit-1.9.jar:git-Bukkit-6f032cd]
            at org.bukkit.plugin.PluginDescriptionFile.<init>(PluginDescriptionFile.java:232) ~[craftbukkit-1.9.jar:git-Bukkit-6f032cd]
            at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:157) ~[craftbukkit-1.9.jar:git-Bukkit-6f032cd]
            at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:133) [craftbukkit-1.9.jar:git-Bukkit-6f032cd]
            at org.bukkit.craftbukkit.v1_9_R1.CraftServer.loadPlugins(CraftServer.java:293) [craftbukkit-1.9.jar:git-Bukkit-6f032cd]
            at org.bukkit.craftbukkit.v1_9_R1.CraftServer.<init>(CraftServer.java:255) [craftbukkit-1.9.jar:git-Bukkit-6f032cd]
            at net.minecraft.server.v1_9_R1.PlayerList.<init>(PlayerList.java:69) [craftbukkit-1.9.jar:git-Bukkit-6f032cd]
            at net.minecraft.server.v1_9_R1.DedicatedPlayerList.<init>(SourceFile:14) [craftbukkit-1.9.jar:git-Bukkit-6f032cd]
            at net.minecraft.server.v1_9_R1.DedicatedServer.init(DedicatedServer.java:182) [craftbukkit-1.9.jar:git-Bukkit-6f032cd]
            at net.minecraft.server.v1_9_R1.MinecraftServer.run(MinecraftServer.java:506) [craftbukkit-1.9.jar:git-Bukkit-6f032cd]
            at java.lang.Thread.run(Thread.java:745) [?:1.8.0_72]
    Caused by: java.lang.NullPointerException
            at org.bukkit.plugin.PluginDescriptionFile.loadMap(PluginDescriptionFile.java:904) ~[craftbukkit-1.9.jar:git-Bukkit-6f032cd]
            ... 10 more
    I went through this looking to see if it was errors in the code. The code doesnt even go past 40 lines. Please someone tell me what this is saying is wrong. And yes I used CraftBukkit 1.9.
     
  2. Ok, it seems like a plugin.yml issue, please reply your plugin.yml or pastebin it.
     
  3. name: OnDutyLogger
    main: me.mccreeper.OnDuty.Main
    author: 1mccreeper
    description: Automatic Command and Chat Logger by 1mccreeper
    version: 1.0
     
  4. i dont know what i just did but i fixed it xD
     
  5. thanks for telling me it wasnt my code but my plugin.yml
     
  6. Your welcome.. If I saw the notification earlier, I would of thought of something XD. Always be cautious when it comes to plugin.yml. Also, mark the thread as solved.

    EDIT: org.bukkit.plugin.InvalidDescriptionException: version is not defined It was the version's fault!